import 'package:plugin_codelab_new/models/user_model.dart';

class PostModel {
  static final PostModel postModel = new PostModel();
  int id;
  UserModel user;
  DateTime createdAt;
  String title;
  String description;
  String type;
  String attachedUrl;

  PostModel({
    this.id,
    this.user,
    this.createdAt,
    this.title,
    this.description,
    this.type,
    this.attachedUrl,
  });

  factory PostModel.fromJson(Map<String, dynamic> json) {
    UserModel user = UserModel.fromJson(json["user"]);
    return new PostModel(
      id: json['id'],
      user: user,
      createdAt: DateTime.parse(json['createdAt'] as String),
      title: json['title'].toString(),
      description: json['description'].toString(),
      type: json['type'],
      attachedUrl: json['attachedUrl'].toString(),
    );
  }
}
